Redmine doesn't work with RubyEE + Passenger 3.0.0 + Rails 3.0.3

2010-11-22 16:00 - Radek Antoniuk

Status: Closed Start date: 2010-11-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I get the following error when switching to it:

0    /opt/rubyEE-2010-02/lib/ruby/site_ruby/1.8/rubygems.rb    223    in `activate'

1    /opt/rubyEE-2010-02/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb    35    in `require'

2    /usr/share/redmine/config/environment.rb    34    

3    /opt/rubyEE-2010-02/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb    31    in `gem_origin

al_require'

4    /opt/rubyEE-2010-02/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb    31    in `require'

5    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rail

s/application_spawner.rb    222    in `preload_application'

6    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rail

s/application_spawner.rb    181    in `initialize_server'

7    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/utils.rb    

564    in `report_app_init_status'

8    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rail

s/application_spawner.rb    174    in `initialize_server'

9    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_ser

ver.rb    204    in `start_synchronously'

10    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver.rb    180    in `start'

11    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/classic_rai

ls/application_spawner.rb    149    in `start'

12    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manag

er.rb    219    in `spawn_rails_application'

13    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver_collection.rb    132    in `lookup_or_add'

14    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manag

er.rb    214    in `spawn_rails_application'

15    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver_collection.rb    82    in `synchronize'

16    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver_collection.rb    79    in `synchronize'

17    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manag

er.rb    213    in `spawn_rails_application'

18    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manag

er.rb    132    in `spawn_application'

19    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/spawn_manag

er.rb    275    in `handle_spawn_application'

20    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver.rb    357    in `__send__'

21    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver.rb    357    in `server_main_loop'

22    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/lib/phusion_passenger/abstract_se

rver.rb    206    in `start_synchronously'

23    /opt/rubyEE-2010-02/lib/ruby/gems/1.8/gems/passenger-3.0.0/helper-scripts/passenger-spawn-se

rver    99    

 gems and ruby version:
root@warden:~# ruby -v

ruby 1.8.7 (2010-04-19 patchlevel 253) [x86_64-linux], MBARI 0x6770, Ruby Enterprise Edition 2010.

02

root@warden:~# gem list

*** LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.3)

actionpack (3.0.3)

activemodel (3.0.3)

activerecord (3.0.3)

activeresource (3.0.3)

activesupport (3.0.3)

arel (2.0.4)

builder (2.1.2)

bundler (1.0.7)

daemon_controller (0.2.5)

erubis (2.6.6)

fastthread (1.0.7)

file-tail (1.0.5)

i18n (0.4.2)

mail (2.2.10)

mime-types (1.16)

mysql (2.8.1)

passenger (3.0.0)

pg (0.9.0)

polyglot (0.3.1)

rack (1.2.1)

rack-mount (0.6.13)

rack-test (0.5.6)

rails (3.0.3)

railties (3.0.3)

rake (0.8.7)

spruz (0.2.2)

sqlite3-ruby (1.3.2)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.23)

History

#1 - 2010-11-22 16:21 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Current redmine stable is rails 2.3.5 only.

#2 - 2010-11-22 17:04 - Radek Antoniuk

Thanks for that.

Any idea how to get it work in a multi-rails environment? Apart from setting up a separate environment with ruby for that?

I've installed appropriate gems but nothing changed:

abstract (1.0.0)

actionmailer (3.0.3, 2.3.5)

actionpack (3.0.3, 2.3.5)

activemodel (3.0.3)

activerecord (3.0.3, 2.3.5)

activeresource (3.0.3, 2.3.5)

activesupport (3.0.3, 2.3.5)

arel (2.0.4)

builder (2.1.2)

bundler (1.0.7)

daemon_controller (0.2.5)

erubis (2.6.6)

fastthread (1.0.7)
file-tail (1.0.5)

i18n (0.4.2)

mail (2.2.10)

mime-types (1.16)

mysql (2.8.1)

passenger (3.0.0)

pg (0.9.0)

polyglot (0.3.1)

rack (1.2.1, 1.0.1)

rack-mount (0.6.13)

rack-test (0.5.6)

rails (3.0.3, 2.3.5)

railties (3.0.3)

rake (0.8.7)

spruz (0.2.2)

sqlite3-ruby (1.3.2)

thor (0.14.6)

treetop (1.4.9)

tzinfo (0.3.23)

#3 - 2010-11-22 17:14 - Felix Schäfer

Passenger should run the correct rails version if present IIRC, but look it up in the passenger documentation to make sure. Another solution would be

to serve redmine through something else than passenger altogether and reverse proxy it through your web server,

#4 - 2010-11-22 17:20 - Radek Antoniuk

They say it should:

http://www.modrails.com/documentation/Users%20guide%20Apache.html#_installing_multiple_ruby_on_rails_versions

Maybe I should post a bug to passenger instead ;-)

I posted to RubyEE GGroup, we will see, I will inform you here if I learn sth new about that issue.

Thx.
